﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Phone本地通知.Resources;

namespace Phone本地通知
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();

        }
        ShellTileSchedule SampleTileSchedule = new ShellTileSchedule();
        //计划是否已经执行
        bool TileScheduleRunning = false;

        //开始执行计划
        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            //指定计划执行一次还是多次
            SampleTileSchedule.Recurrence = UpdateRecurrence.Interval;
            //指定计划的更新间隔时间
            SampleTileSchedule.Interval = UpdateInterval.EveryHour;
            //指定计划的执行次数，如果未设置，则为不确定次数
            SampleTileSchedule.MaxUpdateCount = 50;
            //指定计划的开始时间
            SampleTileSchedule.StartTime = DateTime.Now;
            //获取背景图像的网络URI
            SampleTileSchedule.RemoteImageUri = new Uri(@"http://images.cnblogs.com/cnblogs_com/lipan/319399/o_Large.png");
            SampleTileSchedule.Start();
        }

        //停止计划
        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            if (TileScheduleRunning) SampleTileSchedule.Stop();
        }

        private void Button_Click_3(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/Page1.xaml", UriKind.Relative));
        }


    }
}